"use strict";
(function () {
    var bodyClass = 'ebwp-is-active';
    /**
     * Script for migration tab page.
     */
    var MigrationTabPage = function () {
        var copyText = document.querySelector("#everest-backup-modules-migration-clone-tab .copy-key-wrapper");
        if (null === copyText) {
            return;
        }
        var copyBtn = document.querySelector("#everest-backup-modules-migration-clone-tab .copy-button");
        var input = copyText.querySelector("#everest-backup-modules-migration-clone-tab input.text");
        copyBtn.addEventListener("click", function () {
            var _a;
            input.select();
            document.execCommand("copy");
            copyText.classList.add("active");
            (_a = window.getSelection()) === null || _a === void 0 ? void 0 : _a.removeAllRanges();
            setTimeout(function () {
                copyText.classList.remove("active");
            }, 2500);
        });
    };
    /**
     * Script for clone tab page.
     */
    var CloneTabPage = function () {
        var cloneForm = document.getElementById('ebwp-clone-form');
        if (!cloneForm) {
            return;
        }
        cloneForm.addEventListener('submit', function (event) {
            document.body.classList.add(bodyClass);
        });
    }; // CloneTabPage.
    /**
     * After document is fully loaded.
     */
    window.addEventListener("load", function () {
        document.body.classList.remove(bodyClass);
        MigrationTabPage();
        CloneTabPage();
    });
})();
//# sourceMappingURL=migration-clone.js.map