<?php
/**
 * Sidebar content cards.
 */

/**
 * Exit if accessed directly.
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

?>

<div class="everest-backup_card">
	<h3 class="everest-backup_card_title"><?php echo wp_kses_post( $args['title'] ); ?></h3>
	<?php if ( ! empty( $args['description'] ) ) { ?>
		<p class="everest-backup_card_content"><?php echo wp_kses_post( $args['description'] ); ?></p>
	<?php } ?>
	<?php if ( ! empty( $args['youtube_id'] ) ) { ?>
		<iframe src="<?php echo esc_url( "//www.youtube.com/embed/{$args['youtube_id']}" ); ?>" frameborder="0" allowfullscreen></iframe>
	<?php } ?>
</div>